EarModule (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ear.descriptor

## Interface EarModule

- All Known Subinterfaces:
    `EarWebModule`

      public interface EarModule

  A module element in a deployment descriptor like application.xml.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAltDeployDescriptor​()` | The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module.
    `java.lang.String` | `getPath​()` | The connector element specifies the URI of an archive file, relative to the top level of the application package.
    `void` | `setAltDeployDescriptor​(java.lang.String altDeployDescriptor)` |
    `void` | `setPath​(java.lang.String path)` |
    `groovy.util.Node` | `toXmlNode​(groovy.util.Node parentModule, java.lang.Object name)` | Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).

- - ### Method Detail

    - #### getPath

          java.lang.String getPath​()

      The connector element specifies the URI of an archive file, relative to the top level of the application package.

    - #### setPath

          void setPath​(java.lang.String path)

    - #### getAltDeployDescriptor

          java.lang.String getAltDeployDescriptor​()

      The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module. The URI must specify the full pathname of the deployment descriptor file relative to the application's root directory. If alt-dd is not specified, the deployer must read the deployment descriptor from the default location and file name required by the respective component specification.

    - #### setAltDeployDescriptor

          void setAltDeployDescriptor​(java.lang.String altDeployDescriptor)

    - #### toXmlNode

          groovy.util.Node toXmlNode​(groovy.util.Node parentModule,
                                     java.lang.Object name)

      Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).
      Parameters:
        `parentModule` - The parent <module> node to add this node to.
        `name` - The name of this node.
      Returns:
        The new node. If an <alt-dd> node is created it is not returned.